JBossJDBC2PM (CMDB Model API)
Keywords: com.collation.platform.model.topology.app.j2ee.jboss.JBossJDBC2PM interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.collation.platform.model.topology.app.j2ee.jboss
Interface JBossJDBC2PM

All Superinterfaces:
  JBossPersistenceManager, LogicalElement, ManagedElement, ManagedSystemElement, ModelObject, java.io.Serializable

    public interface JBossJDBC2PM

extends JBossPersistenceManager

Represents a JBoss JDBC2PM

Persistable:
  true

Field Summary

Fields inherited from interface com.collation.platform.model.topology.core.ManagedElement
`IBM_COPYRIGHT`

Method Summary
`int` | `getConnectionRetryAttempts()`
`java.lang.String` | `getSqlProperties()`
`boolean` | `hasConnectionRetryAttempts()`
`boolean` | `hasSqlProperties()`
`void` | `setConnectionRetryAttempts(int attempts)`
`void` | `setSqlProperties(java.lang.String properties)`

Methods inherited from interface com.collation.platform.model.topology.app.j2ee.jboss.JBossPersistenceManager
`getInstance, hasInstance, setInstance`

Methods inherited from interface com.collation.platform.model.topology.core.ManagedElement
`getManagedSystemName, getRoles, hasManagedSystemName, hasRoles, setManagedSystemName, setRoles`

Methods inherited from interface com.collation.platform.model.ModelObject
`getAdminState, getAllAttributes, getBidiFlag, getBidiFormat, getCDMSource, getCmdbSource, getContextIp, getCreatedBy, getDescription, getDisplayName, getExtendedAttributes, getGuid, getLabel, getLastModifiedBy, getLastModifiedTime, getObjectType, getSourceToken, hasAdminState, hasBidiFlag, hasBidiFormat, hasCDMSource, hasCmdbSource, hasContextIp, hasDescription, hasDisplayName, hasExtendedAttributes, hasGuid, hasLabel, hasObjectType, hasSourceToken, setAdminState, setBidiFlag, setBidiFormat, setCDMSource, setCmdbSource, setContextIp, setDescription, setExtendedAttributes, setGuid, setLabel, setObjectType, setSourceToken`

Method Detail

### getConnectionRetryAttempts

    int getConnectionRetryAttempts()
                                   throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setConnectionRetryAttempts

    void setConnectionRetryAttempts(int attempts)

### hasConnectionRetryAttempts

    boolean hasConnectionRetryAttempts()

### getSqlProperties

    java.lang.String getSqlProperties()
                                      throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setSqlProperties

    void setSqlProperties(java.lang.String properties)

### hasSqlProperties

    boolean hasSqlProperties()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD